summaryrefslogtreecommitdiffstats
path: root/testing/source/vtown/xfce/Greybird
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/vtown/xfce/Greybird')
-rw-r--r--testing/source/vtown/xfce/Greybird/0001-Fix-GTK3-dark-colors.patch28
-rw-r--r--testing/source/vtown/xfce/Greybird/0002-Fix-Thunar-CSD-when-not-focused-Fixes-274.patch25
-rwxr-xr-xtesting/source/vtown/xfce/Greybird/Greybird.SlackBuild120
-rw-r--r--testing/source/vtown/xfce/Greybird/slack-desc19
4 files changed, 192 insertions, 0 deletions
diff --git a/testing/source/vtown/xfce/Greybird/0001-Fix-GTK3-dark-colors.patch b/testing/source/vtown/xfce/Greybird/0001-Fix-GTK3-dark-colors.patch
new file mode 100644
index 000000000..631d059d3
--- /dev/null
+++ b/testing/source/vtown/xfce/Greybird/0001-Fix-GTK3-dark-colors.patch
@@ -0,0 +1,28 @@
+From 32a8e4d331fb06f58f0369e8c3422e2efc8ef56e Mon Sep 17 00:00:00 2001
+From: Nico Kaiser <nico.kaiser@boerse-go.de>
+Date: Mon, 27 Apr 2020 18:43:06 +0200
+Subject: [PATCH 1/2] Fix GTK3 dark colors
+
+---
+ light/gtk-3.0/_colors.scss | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/light/gtk-3.0/_colors.scss b/light/gtk-3.0/_colors.scss
+index d53071c..5d8a4af 100644
+--- a/light/gtk-3.0/_colors.scss
++++ b/light/gtk-3.0/_colors.scss
+@@ -2,9 +2,9 @@
+ // it gets @if ed depending on $variant
+
+
+-$base_color: if($variant == 'light', #fcfcfc, #292929);
++$base_color: if($variant == 'light', #fcfcfc, #2d2e30);
+ $text_color: if($variant == 'light', #212121, white);
+-$bg_color: if($variant == 'light', #cecece, #393f3f);
++$bg_color: if($variant == 'light', #cecece, #3b3e3f);
+ $fg_color: if($variant == 'light', #3c3c3c, #eeeeec);
+
+ $selected_fg_color: #ffffff;
+--
+2.29.2
+
diff --git a/testing/source/vtown/xfce/Greybird/0002-Fix-Thunar-CSD-when-not-focused-Fixes-274.patch b/testing/source/vtown/xfce/Greybird/0002-Fix-Thunar-CSD-when-not-focused-Fixes-274.patch
new file mode 100644
index 000000000..fbf091c9e
--- /dev/null
+++ b/testing/source/vtown/xfce/Greybird/0002-Fix-Thunar-CSD-when-not-focused-Fixes-274.patch
@@ -0,0 +1,25 @@
+From 55c7a77386e440523b4b9bdc27dd4d553f2f8c52 Mon Sep 17 00:00:00 2001
+From: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
+Date: Mon, 8 Jun 2020 23:30:11 +0200
+Subject: [PATCH 2/2] Fix Thunar CSD when not focused (Fixes #274)
+
+---
+ light/gtk-3.0/_xfce.scss | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/light/gtk-3.0/_xfce.scss b/light/gtk-3.0/_xfce.scss
+index 5ea4a2b..6c92174 100644
+--- a/light/gtk-3.0/_xfce.scss
++++ b/light/gtk-3.0/_xfce.scss
+@@ -149,7 +149,7 @@ wnck-pager {
+
+ /* Thunar's sidebar top border */
+ .thunar {
+- :backdrop { color: $insensitive_fg_color; }
++ grid :backdrop { color: $insensitive_fg_color; }
+ toolbar {
+ border-bottom: none;
+
+--
+2.29.2
+
diff --git a/testing/source/vtown/xfce/Greybird/Greybird.SlackBuild b/testing/source/vtown/xfce/Greybird/Greybird.SlackBuild
new file mode 100755
index 000000000..e6638c03b
--- /dev/null
+++ b/testing/source/vtown/xfce/Greybird/Greybird.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for Greybird (Gtk Theme)
+
+# Copyright 2019 Robby Workman, Tuscaloosa, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=Greybird
+VERSION=${VERSION:-3.22.12}
+BUILD=${BUILD:-1_vtown_1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Include a couple of patches from git:
+zcat $CWD/0001-Fix-GTK3-dark-colors.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/0002-Fix-Thunar-CSD-when-not-focused-Fixes-274.patch.gz | patch -p1 --verbose || exit 1
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSE* README.md $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/testing/source/vtown/xfce/Greybird/slack-desc b/testing/source/vtown/xfce/Greybird/slack-desc
new file mode 100644
index 000000000..8e400d271
--- /dev/null
+++ b/testing/source/vtown/xfce/Greybird/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Greybird: Greybird (Desktop theme suite for Xfce)
+Greybird:
+Greybird: Greybird theme is a desktop theme suite for Xfce.
+Greybird:
+Greybird: Homepage: https://github.com/shimmerproject/Greybird
+Greybird:
+Greybird:
+Greybird:
+Greybird:
+Greybird:
+Greybird: